[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBCtrls' (#lcl)

# TCustomDBListBox.Notification

Handles notifications when a component is added to or removed from the control.

## Declaration

Source position: dbctrls.pp line 369

`protected procedure TCustomDBListBox.Notification(`
`AComponent: TComponent;`
`Operation: TOperation`
`); override;`

## Description

Notification is an overridden method in TCustomDBListBox. Notification calls the inherited method, and ensures that an assigned DataSource is set to Nil when Operation contains opRemove.

## See also

TCustomDBListBox.DataSource |  | Provides access to the linked dataset for the control.
TComponent.Notification